import os

def _assert(expr):
    """
    When compiled with -O, assertions are dropped. However, bitfrost uses
    assertions in various places as part of the security-sensitive code flow.
    All assertions have been switched to use this function so that the previous
    "unoptimized" behaviour is kept.
    """
    if not expr:
        raise AssertionError

def find_devicetree():
    if os.path.exists('/proc/device-tree'):
        return '/proc/device-tree'
    else:
        return '/ofw'

